<?php
session_start();
require_once 'gerador/email/Email.php';
require_once 'gerador/SqlServer.php';

$sql = new SqlServer;

$idPedido = filter_var($_GET['idpedido']);

$emailFonecedor = [];

?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

<title></title>
</head>

<body>

<?php include_once 'header.php'; ?>

<form action="gerador/email/enviarEmailPull.php" method="post">

<?php 

//dados de um pedido
$dados = $sql->dadosPedidoParaEmail($idPedido);

//pegar o fabricante de um pedido
foreach($dados as $linha)
{   //transformar os fabricantes em um array
    $fabricante = explode(',',$linha[3]);
    $fantasia = $linha[0];
    $cnpj = $linha[1];
    $usuario = $linha[2]; 
    $razao = $linha[4];   
}

//percorrer os arrays dos fabricantes
foreach ($fabricante as $fab2)
{
    
 $mailFonecedor[] =  $sql->encontrarEmailFornecedor($fab2,2);
 $nomeFornecedor = $sql->encontrarEmailFornecedor($fab2,0);
 $emailFonecedor1 =  $sql->encontrarEmailFornecedor($fab2,2);
 $representante = $sql->encontrarEmailFornecedor($fab2,3);

 ?>

<input type="checkbox" name="fornecedor[]" value="<?= $emailFonecedor1;?>"> <?php echo $fab2 . ' | ' . $nomeFornecedor . ' | ' . $emailFonecedor1 . '|' . $representante ?> <br> 
<input type="hidden" value="<?=$fab2 ?>" name="fabricante[]">
<input type="hidden" value="<?=$fantasia ?>" name="fantasia">
<input type="hidden" value="<?=$cnpj ?>" name="cnpj">
<input type="hidden" value="<?=$usuario ?>" name="usuario">
<input type="hidden" value="<?=$idPedido ?>" name="idPedido">
<input type="hidden" value="<?=$razao ?>" name="razao">
<input type="hidden" value="<?=$representante ?>" name="representante">


<?php

//echo $sql->encontrarEmailFornecedor('HAIR FLY',2);

}


?>

<p></p>

<input type="submit" value="Enviar" class="btn btn-warning">

<?php include_once 'footer.php' ?>